import { ICellRendererComp, ICellRendererFunc, ICellRendererParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
/**
 * The Grid Pro Cell element.
 * @remarks Used inside the Grid Pro Column element, to define a cell renderer from the template.
 * @public
 */
export declare class GridProCell extends FoundationElement implements ICellRendererComp {
    renderer: ICellRendererFunc;
    rendererParams: ICellRendererParams;
    slottedRenderer: HTMLElement[];
    connectedCallback(): void;
    init(params: ICellRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: ICellRendererParams): boolean;
    slottedAgRendererChanged(): void;
}
//# sourceMappingURL=cell.d.ts.map